[CalendarServer-changes] [14241] CalendarServer/trunk

source_changes at macosforge.org source_changes at macosforge.org
Thu Dec 18 17:54:19 PST 2014


Revision: 14241
          http://trac.calendarserver.org//changeset/14241
Author:   wsanchez at apple.com
Date:     2014-12-18 17:54:19 -0800 (Thu, 18 Dec 2014)
Log Message:
-----------
Add package tool.

Added Paths:
-----------
    CalendarServer/trunk/bin/package
    CalendarServer/trunk/support/_run_from_ve

Added: CalendarServer/trunk/bin/package
===================================================================
--- CalendarServer/trunk/bin/package	                        (rev 0)
+++ CalendarServer/trunk/bin/package	2014-12-19 01:54:19 UTC (rev 14241)
@@ -0,0 +1,130 @@
+#!/bin/sh
+# -*- sh-basic-offset: 2 -*-
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+##
+# WARNING: This script is intended for use by developers working on
+# the Calendar Server code base.  It is not intended for use in a
+# deployment configuration.
+#
+# DO NOT use this script as a system startup tool (eg. in /etc/init.d,
+# /Library/StartupItems, launchd plists, etc.)
+#
+# For those uses, install the server properly (eg. with "./run -i
+# /tmp/foo && cd /tmp/foo && pax -pe -rvw . /") and use the caldavd
+# executable to start the server.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")/.." && pwd)";
+
+
+#
+# Usage
+#
+
+clean="false";
+
+usage () {
+  program="$(basename "$0")";
+
+  if [ "${1--}" != "-" ]; then
+    echo "$@";
+    echo;
+  fi;
+
+  echo "Usage: ${program} [-hFfn] destination";
+  echo "Options:";
+  echo "  -h  Print this help and exit";
+  echo "  -F  Clean and force setup to run";
+  echo "  -f  Force setup to run";
+  echo "  -n  Do not run setup";
+
+  if [ "${1-}" == "-" ]; then
+    return 0;
+  fi;
+  exit 64;
+}
+
+
+parse_options () {
+  OPTIND=1;
+  while getopts "hFfn" option; do
+    case "${option}" in
+      '?') usage; ;;
+      'h') usage -; exit 0; ;;
+      'F') do_setup="true" ; force_setup="true" ; clean="true" ; ;;
+      'f') do_setup="true" ; force_setup="true" ; clean="false"; ;;
+      'n') do_setup="false"; force_setup="false"; clean="false"; ;;
+    esac;
+  done;
+  shift $((${OPTIND} - 1));
+
+  if [ $# -le 0 ]; then
+    usage "No desination provided.";
+  fi;
+  destination="$1"; shift;
+
+  if [ $# != 0 ]; then
+    usage "Unrecognized arguments:" "$@";
+  fi;
+}
+
+
+main () {
+  . "${wd}/bin/_build.sh";
+
+  parse_options "$@";
+
+  # Build the product
+
+  if "${clean}"; then
+    develop_clean;
+  fi;
+
+  develop;
+
+  install -d "${destination}";
+
+  install -d "${destination}/virtualenv";
+  cp -pR "${py_virtualenv}/" "${destination}/virtualenv";
+
+  # Make the python virtualenv relocatable
+  "${bootstrap_python}" -m virtualenv --relocatable "${destination}/virtualenv";
+
+  cp -pR "${dev_roots}"/*/ "${destination}/virtualenv/";
+
+  install -d "${destination}/bin";
+  install -m 555 "${wd}/support/_run_from_ve" "${destination}/bin";
+  ln -fsv _run_from_ve "${destination}/bin/caldavd";
+
+  for script in $(
+    python -c 'import setup; print "\n".join("calendarserver_{}".format(n) for n in setup.script_entry_points.keys())';
+  ); do
+    ln -fsv _run_from_ve "${destination}/bin/${script}";
+  done;
+
+  # More here...
+  # Looks like we need to install calendarserver.
+  # Maybe should rebuild virtualenv insted of copying it.
+}
+
+
+main "$@";


Property changes on: CalendarServer/trunk/bin/package
___________________________________________________________________
Added: svn:executable
   + *

Added: CalendarServer/trunk/support/_run_from_ve
===================================================================
--- CalendarServer/trunk/support/_run_from_ve	                        (rev 0)
+++ CalendarServer/trunk/support/_run_from_ve	2014-12-19 01:54:19 UTC (rev 14241)
@@ -0,0 +1,33 @@
+#!/bin/sh
+# -*- sh-basic-offset: 2 -*-
+
+##
+# Copyright (c) 2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+dstroot="$(cd "$(dirname "$0")/../virtualenv" && pwd)";
+
+export              PATH="${dstroot}/bin:${PATH}";
+export    C_INCLUDE_PATH="${dstroot}/include:${C_INCLUDE_PATH:-}";
+export   LD_LIBRARY_PATH="${dstroot}/lib:${dstroot}/lib64:${LD_LIBRARY_PATH:-}";
+export          CPPFLAGS="-I${dstroot}/include ${CPPFLAGS:-} ";
+export           LDFLAGS="-L${dstroot}/lib -L${dstroot}/lib64 ${LDFLAGS:-} ";
+export DYLD_LIBRARY_PATH="${dstroot}/lib:${dstroot}/lib64:${DYLD_LIBRARY_PATH:-}";
+export PKG_CONFIG_PATH="${dstroot}/lib/pkgconfig:${PKG_CONFIG_PATH:-}";
+
+exec "${dstroot}/bin/$(basename "$0")";


Property changes on: CalendarServer/trunk/support/_run_from_ve
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20141218/f97266cb/attachment-0001.html>


More information about the calendarserver-changes mailing list